fix script paths

pull/1782/head
alpharush 2 years ago
parent 97b91a0eac
commit 4c6d3aee2b
  1. 6
      scripts/ci_test_cli.sh
  2. 2
      scripts/ci_test_erc.sh
  3. 2
      scripts/ci_test_printers.sh
  4. 2
      tests/e2e/compilation/test_resolution.py
  5. 0
      tests/e2e/config/test_json_config/slither.config.json
  6. 0
      tests/e2e/config/test_json_config/test.sol

@ -4,17 +4,17 @@
solc-select use 0.7.0 solc-select use 0.7.0
if ! slither "tests/config/test.sol" --solc-ast --no-fail-pedantic; then if ! slither "tests/e2e/config/test_json_config/test.sol" --solc-ast --no-fail-pedantic; then
echo "--solc-ast failed" echo "--solc-ast failed"
exit 1 exit 1
fi fi
if ! slither "tests/config/test.sol" --solc-disable-warnings --no-fail-pedantic; then if ! slither "tests/e2e/config/test_json_config/test.sol" --solc-disable-warnings --no-fail-pedantic; then
echo "--solc-disable-warnings failed" echo "--solc-disable-warnings failed"
exit 1 exit 1
fi fi
if ! slither "tests/config/test.sol" --disable-color --no-fail-pedantic; then if ! slither "tests/e2e/config/test_json_config/test.sol" --disable-color --no-fail-pedantic; then
echo "--disable-color failed" echo "--disable-color failed"
exit 1 exit 1
fi fi

@ -2,7 +2,7 @@
### Test slither-check-erc ### Test slither-check-erc
DIR_TESTS="tests/check-erc" DIR_TESTS="tests/tools/check-erc"
solc-select use 0.5.0 solc-select use 0.5.0
slither-check-erc "$DIR_TESTS/erc20.sol" ERC20 > test_1.txt 2>&1 slither-check-erc "$DIR_TESTS/erc20.sol" ERC20 > test_1.txt 2>&1

@ -2,7 +2,7 @@
### Test printer ### Test printer
cd tests/ast-parsing/compile || exit cd tests/e2e/solc_parsing/test_data/compile/ || exit
# Do not test the evm printer,as it needs a refactoring # Do not test the evm printer,as it needs a refactoring
ALL_PRINTERS="cfg,constructor-calls,contract-summary,data-dependency,echidna,function-id,function-summary,modifiers,call-graph,human-summary,inheritance,inheritance-graph,slithir,slithir-ssa,vars-and-auth,require,variable-order,declaration" ALL_PRINTERS="cfg,constructor-calls,contract-summary,data-dependency,echidna,function-id,function-summary,modifiers,call-graph,human-summary,inheritance,inheritance-graph,slithir,slithir-ssa,vars-and-auth,require,variable-order,declaration"

@ -20,7 +20,7 @@ def test_node_modules() -> None:
# hardhat must have been installed in tests/test_node_modules # hardhat must have been installed in tests/test_node_modules
# For the CI its done through the github action config # For the CI its done through the github action config
slither = Slither(TEST_DATA_DIR, "test_node_modules") slither = Slither(Path(TEST_DATA_DIR, "test_node_modules").as_posix())
_run_all_detectors(slither) _run_all_detectors(slither)

Loading…
Cancel
Save